import logging


def EsphomeSensorStateDataMap(topic):
    if type(topic) == str:
        try:
            # sonoff1/sensor/sonoff_pow_voltage/state
            # home/sensor/citrus_temperature/state
            # 0/1/2/3
            topic_parts = topic.split("/")
            devicename = topic_parts[0]
            sensorname = topic_parts[2]
            datatype = sensorname.split("_")[-1]
        except:
            datatype = "unknown"
            devicename = "unknown"
        return dict(datatype=datatype, devicename=devicename, sensorname=sensorname)
    return None


def EsphomeSensorDataFilter(topic, message, section, srv):
    found = topic.find("sonoff_pow_esphome_version")
    return False if found == -1 else True


def Scd30DataMap(topic):
    if type(topic) == str:
        try:
            # smocasensor/co2
            topic_parts = topic.split("/")
            datatype = topic_parts[1]
        except:
            datatype = "unknown"
        return dict(datatype=datatype)
    return None


def MegadeskDataMap(topic):
    if type(topic) == str:
        try:
            # megadesk/switch/+/command
            topic_parts = topic.split("/")
            command = topic_parts[2]
            if command == "desk_position_up":
                position = 3
            elif command == "desk_position_down":
                position = 2
            else:
                position = 0
        except:
            position = 0
        return dict(position=position)
    return None
