# Forgejo Runner

## Create Kubeconfig

```
server=https://zurrli.tbrnt.ch:6443
name=buildx-sa-token

ca=$(kubectl -n forgejo-runner get secret/$name -o jsonpath='{.data.ca\.crt}')
token=$(kubectl -n forgejo-runner get secret/$name -o jsonpath='{.data.token}' | base64 --decode)
namespace=$(kubectl -n forgejo-runner get secret/$name -o jsonpath='{.data.namespace}' | base64 --decode)

echo "
apiVersion: v1
kind: Config
clusters:
- name: default-cluster
  cluster:
    certificate-authority-data: ${ca}
    server: ${server}
contexts:
- name: default-context
  context:
    cluster: default-cluster
    namespace: default
    user: default-user
current-context: default-context
users:
- name: default-user
  user:
    token: ${token}
" > sa.kubeconfig
```